FLTK 1.3.9: Fl_Display_Device Class Reference

FLTK 1.3.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Fl_Display_Device Class Reference

A display to which the computer can draw. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_Display_Device:

## Public Member Functions
const char * | class_name ()
| Returns the name of the class of this object.
| Fl_Display_Device (Fl_Graphics_Driver *graphics_driver)
| A constructor that sets the graphics driver used by the display.
Public Member Functions inherited from Fl_Surface_Device
const char * | class_name ()
| Returns the name of the class of this object.
Fl_Graphics_Driver * | driver ()
| Returns the graphics driver of this drawing surface.
void | driver (Fl_Graphics_Driver *graphics_driver)
| Sets the graphics driver of this drawing surface.
virtual void | set_current (void)
| Make this surface the current drawing surface.
virtual | ~Fl_Surface_Device ()
| The destructor.
Public Member Functions inherited from Fl_Device
virtual | ~Fl_Device ()
| Virtual destructor.

## Static Public Member Functions
static Fl_Display_Device * | display_device ()
| Returns the platform display device.
Static Public Member Functions inherited from Fl_Surface_Device
static Fl_Surface_Device * | surface ()
| The current drawing surface.

## Static Public Attributes
static const char * | class_id = "Fl_Display_Device"
Static Public Attributes inherited from Fl_Surface_Device
static const char * | class_id = "Fl_Surface_Device"
Static Public Attributes inherited from Fl_Device
static const char * | class_id = "Fl_Device"
| A string that identifies each subclass of Fl_Device.

## Additional Inherited Members
Protected Member Functions inherited from Fl_Surface_Device
| Fl_Surface_Device (Fl_Graphics_Driver *graphics_driver)
| Constructor that sets the graphics driver to use for the created surface.

## Detailed Description

A display to which the computer can draw.

When the program begins running, an Fl_Display_Device instance has been created and made the current drawing surface. There is no need to create any other object of this class.

## Member Function Documentation

## ◆ class_name()

const char * Fl_Display_Device::class_name | ( |  | ) |
| inlinevirtual

Returns the name of the class of this object.

Use of the class_name() function is discouraged because it will be removed from future FLTK versions.

The class of an instance of an Fl_Device subclass can be checked with code such as:

if ( instance->class_name() == Fl_Printer::class_id ) { ... }

Reimplemented from Fl_Device.

The documentation for this class was generated from the following files:

- Fl_Device.H
- Fl_Device.cxx